import { CCMVideo } from "../../coco-mat/lib/CCMVideo/CCMVideo";

const { ccclass, property } = cc._decorator;

@ccclass
export default class Test extends cc.Component {

    @property(CCMVideo)
    video: CCMVideo = null;

    @property(cc.Asset)
    videoAsset: cc.Asset = null;

    // onLoad () {}

    start() {

        this.video.clip = this.videoAsset;
        this.video.play();
    }

    play() {
        this.video.play();
    }

    // update (dt) {}
}
